# Connector API — Connectors

> Canonical URL: https://developers.apideck.com/apis/connector/reference#tag/Connectors

This document contains every operation on the `Connectors` resource.

---

# List Connectors

> **Connector API** · `GET /connector/connectors`
> Canonical URL: https://developers.apideck.com/apis/connector/reference#tag/Connectors/operation/connectorsAll

List Connectors

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `x-apideck-app-id` | header | `string` | Yes | The ID of your Unify application |
| `cursor` | query | `string` | No | Cursor to start from. You can find cursors for next/previous pages in the meta.cursors property of the response. |
| `limit` | query | `integer` | No | Number of results to return. Minimum 1, Maximum 200, Default 20 |
| `filter` | query | `object` | No | Apply filters |

### Responses

#### 200 — Connectors

- `status_code` `integer` **required** — HTTP Response Status Code — example: `200`
- `status` `string` **required** — HTTP Response Status — example: `OK`
- `data` `array of object` **required**
  - `id` `string` — ID of the connector. — example: `crm+salesforce`
  - `name` `string` — Name of the connector. — example: `Salesforce`
  - `status` `string` — Status of the connector. Connectors with status live or beta are callable. — enum: `live`, `beta`, `early-access`, `development`, `considering`
  - `description` `string` — A description of the object. — example: `A description`
  - `icon_url` `string` — Link to a small square icon for the connector. — format: `uri` — example: `https://res.cloudinary.com/apideck/image/upload/v1529456047/catalog/salesforce/icon128x128.png`
  - `logo_url` `string` — Link to the full logo for the connector. — example: `https://c1.sfdcstatic.com/content/dam/web/en_us/www/images/home/logo-salesforce-m.svg`
  - `website_url` `string` — Link to the connector's website. — format: `uri` — example: `https://www.salesforce.com`
  - `signup_url` `string` — Link to the connector's signup page. — format: `uri` — example: `https://www.salesforce.com/signup`
  - `partner_signup_url` `string` — Link to the connector's partner program signup page. — format: `uri` — example: `https://www.salesforce.com/partners`
  - `free_trial_available` `boolean` — Set to `true` when the connector offers a free trial. Use `signup_url` to sign up for a free trial
  - `auth_type` `string` — Type of authorization used by the connector — enum: `oauth2`, `apiKey`, `basic`, `custom`, `none` — example: `oauth2`
  - `auth_only` `boolean` — Indicates whether a connector only supports authentication. In this case the connector is not mapped to a Unified API, but can be used with the Proxy API — example: `true`
  - `blind_mapped` `boolean` — Set to `true` when connector was implemented from downstream docs only and without API access. This state indicates that integration will require Apideck support, and access to downstream API to validate mapping quality. — example: `true`
  - `oauth_grant_type` `string` — OAuth grant type used by the connector. More info: https://oauth.net/2/grant-types — enum: `authorization_code`, `client_credentials`, `password` — example: `authorization_code`
  - `oauth_credentials_source` `string` — Location of the OAuth client credentials. For most connectors the OAuth client credentials are stored on integration and managed by the application owner. For others they are stored on connection and managed by the consumer in Vault. — enum: `integration`, `connection` — example: `integration`
  - `oauth_scopes` `array of object` — List of OAuth Scopes available for this connector.
    - `id` `string` — ID of the OAuth scope. — example: `contacts:all`
    - `label` `string` — Label of the OAuth scope. — example: `Read/write on the Contacts resource`
    - `default_apis` `array of string` — List of Unified APIs that request this OAuth Scope by default. Application owners can customize the requested scopes.
  - `custom_scopes` `boolean` — Set to `true` when connector allows the definition of custom scopes. — example: `true`
  - `has_sandbox_credentials` `boolean` — Indicates whether Apideck Sandbox OAuth credentials are available. — example: `true`
  - `settings` `array of object`
    - `id` `string` — example: `pipeline_id`
    - `label` `string` — example: `Pipeline`
    - `type` `any` — enum: `text`, `checkbox`, `tel`, `email`, `url`, `textarea`, `select`, `filtered-select`, `multi-select`, `datetime`, `date`, `time`, `number`, `password` — example: `select`
  - `service_id` `string` — Service provider identifier — example: `close`
  - `unified_apis` `array of object` — List of Unified APIs that feature this connector.
    - `id` `string` — Name of Apideck Unified API — enum: `accounting`, `ats`, `calendar`, `crm`, `csp`, `customer-support`, `ecommerce`, `email`, `email-marketing`, `expense-management`, `file-storage`, `form`, `hris`, `lead`, `payroll`, `pos`, `procurement`, `project-management`, `script`, `sms`, `spreadsheet`, `team-messaging`, `issue-tracking`, `time-registration`, `transactional-email`, `vault`, `data-warehouse` — example: `crm`
    - `name` `string` — Name of the API. — example: `File Storage API`
    - `auth_only` `boolean` — Indicates whether a connector only supports authentication. In this case the connector is not mapped to a Unified API, but can be used with the Proxy API — example: `true`
    - `oauth_scopes` `array of object`
      - `id` `string` — ID of the OAuth scope. — example: `contacts:all`
      - `label` `string` — Label of the OAuth scope. — example: `Read/write on the Contacts resource`
    - `supported_resources` `array of object` — List of resources that are supported on the connector.
      - `id` `string` — ID of the resource, typically a lowercased version of name. — example: `companies`
      - `name` `string` — Name of the resource (plural) — example: `Companies`
      - `status` `string` — Status of the resource. Resources with status live or beta are callable. — enum: `live`, `beta`, `development`, `upcoming`, `considering`
      - `downstream_id` `string` — ID of the resource in the Connector's API (downstream) — example: `accounts`
      - `downstream_name` `string` — Name of the resource in the Connector's API (downstream) — example: `Accounts`
    - `downstream_unsupported_resources` `array of string` — List of resources that are not supported on the downstream.
    - `supported_events` `array of object` — List of events that are supported on the connector for this Unified API.
      - `event_type` `string` — Unify event type — example: `employee.created`
      - `event_source` `string` — Unify event source — enum: `native`, `virtual` — example: `native`
      - `downstream_event_type` `string` — Downstream event type — example: `person_created`
      - `resources` `array of string`
      - `entity_type` `string` — Unify entity type — example: `employee`
  - `supported_resources` `array of object` — List of resources that are supported on the connector.
    - `id` `string` — ID of the resource, typically a lowercased version of name. — example: `companies`
    - `name` `string` — Name of the resource (plural) — example: `Companies`
    - `status` `string` — Status of the resource. Resources with status live or beta are callable. — enum: `live`, `beta`, `development`, `upcoming`, `considering`
    - `downstream_id` `string` — ID of the resource in the Connector's API (downstream) — example: `accounts`
    - `downstream_name` `string` — Name of the resource in the Connector's API (downstream) — example: `Accounts`
  - `configurable_resources` `array of string` — List of resources that have settings that can be configured.
  - `supported_events` `array of object` — List of events that are supported on the connector across all Unified APIs.
    - `event_type` `string` — Unify event type — example: `employee.created`
    - `event_source` `string` — Unify event source — enum: `native`, `virtual` — example: `native`
    - `downstream_event_type` `string` — Downstream event type — example: `person_created`
    - `resources` `array of string`
    - `entity_type` `string` — Unify entity type — example: `employee`
  - `webhook_support` `object` — How webhooks are supported for the connector. Sometimes the connector natively supports webhooks, other times Apideck virtualizes them based on polling.
    - `mode` `string` — Mode of the webhook support. — enum: `native`, `virtual`, `none` — example: `native`
    - `subscription_level` `string` — Received events are scoped to connection or across integration. — enum: `connection`, `integration` — example: `integration`
    - `managed_via` `string` — How the subscription is managed in the downstream. — enum: `manual`, `api` — example: `api`
    - `virtual_webhooks` `object` — Virtual webhook config for the connector.
      - `request_rate` `object` **required** — The rate at which requests for resources will be made to downstream.
        - `rate` `integer` **required** — The number of requests per window unit.
        - `size` `integer` **required** — Size of request window.
        - `unit` `string` **required** — The window unit for the rate. — enum: `second`, `minute`, `hour`, `day`
      - `resources` `object` — The resources that will be requested from downstream.
  - `schema_support` `object` — When a connector has schema_support, a call can be made to retrieve a json schema that describes a downstream resource.
    - `supported` `boolean` — Can a resource schema be retrieved for this connector? — example: `true`
  - `docs` `array of object`
    - `id` `string` — A unique identifier for an object. — example: `12345`
    - `name` `string` — Name of the doc. — example: `connection`
    - `audience` `string` — Audience for the doc. — enum: `application_owner`, `consumer`
    - `format` `string` — Format of the doc. — enum: `markdown`
    - `url` `string` — Link to fetch the content of the doc. — format: `uri` — example: `https://unify.apideck.com/connector/connectors/workday/docs/consumer+connection`
  - `tls_support` `object`
    - `type` `string`
    - `description` `string` — Description of the TLS support
- `_raw` `object` — Raw response from the integration when raw=true query param is provided
- `meta` `object` — Response metadata
  - `items_on_page` `integer` — Number of items returned in the data property of the response — example: `50`
  - `cursors` `object` — Cursors to navigate to previous or next pages through the API
    - `previous` `string` — Cursor to navigate to the previous page of results through the API — example: `em9oby1jcm06OnBhZ2U6OjE=`
    - `current` `string` — Cursor to navigate to the current page of results through the API — example: `em9oby1jcm06OnBhZ2U6OjI=`
    - `next` `string` — Cursor to navigate to the next page of results through the API — example: `em9oby1jcm06OnBhZ2U6OjM=`
- `links` `object` — Links to navigate to previous or next pages through the API
  - `previous` `string` — Link to navigate to the previous page through the API — example: `https://unify.apideck.com/crm/companies?cursor=em9oby1jcm06OnBhZ2U6OjE%3D`
  - `current` `string` — Link to navigate to the current page through the API — example: `https://unify.apideck.com/crm/companies`
  - `next` `string` — Link to navigate to the previous page through the API — example: `https://unify.apideck.com/crm/companies?cursor=em9oby1jcm06OnBhZ2U6OjM`

#### 400 — Bad Request

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 401 — Unauthorized

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 402 — Payment Required

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### default — Unexpected error

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

---

# Get Connector

> **Connector API** · `GET /connector/connectors/{id}`
> Canonical URL: https://developers.apideck.com/apis/connector/reference#tag/Connectors/operation/connectorsOne

Get Connector

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `x-apideck-app-id` | header | `string` | Yes | The ID of your Unify application |
| `id` | path | `string` | Yes | ID of the record you are acting upon. |

### Responses

#### 200 — Connectors

- `status_code` `integer` **required** — HTTP Response Status Code — example: `200`
- `status` `string` **required** — HTTP Response Status — example: `OK`
- `data` `object` **required**
  - `id` `string` — ID of the connector. — example: `crm+salesforce`
  - `name` `string` — Name of the connector. — example: `Salesforce`
  - `status` `string` — Status of the connector. Connectors with status live or beta are callable. — enum: `live`, `beta`, `early-access`, `development`, `considering`
  - `description` `string` — A description of the object. — example: `A description`
  - `icon_url` `string` — Link to a small square icon for the connector. — format: `uri` — example: `https://res.cloudinary.com/apideck/image/upload/v1529456047/catalog/salesforce/icon128x128.png`
  - `logo_url` `string` — Link to the full logo for the connector. — example: `https://c1.sfdcstatic.com/content/dam/web/en_us/www/images/home/logo-salesforce-m.svg`
  - `website_url` `string` — Link to the connector's website. — format: `uri` — example: `https://www.salesforce.com`
  - `signup_url` `string` — Link to the connector's signup page. — format: `uri` — example: `https://www.salesforce.com/signup`
  - `partner_signup_url` `string` — Link to the connector's partner program signup page. — format: `uri` — example: `https://www.salesforce.com/partners`
  - `free_trial_available` `boolean` — Set to `true` when the connector offers a free trial. Use `signup_url` to sign up for a free trial
  - `auth_type` `string` — Type of authorization used by the connector — enum: `oauth2`, `apiKey`, `basic`, `custom`, `none` — example: `oauth2`
  - `auth_only` `boolean` — Indicates whether a connector only supports authentication. In this case the connector is not mapped to a Unified API, but can be used with the Proxy API — example: `true`
  - `blind_mapped` `boolean` — Set to `true` when connector was implemented from downstream docs only and without API access. This state indicates that integration will require Apideck support, and access to downstream API to validate mapping quality. — example: `true`
  - `oauth_grant_type` `string` — OAuth grant type used by the connector. More info: https://oauth.net/2/grant-types — enum: `authorization_code`, `client_credentials`, `password` — example: `authorization_code`
  - `oauth_credentials_source` `string` — Location of the OAuth client credentials. For most connectors the OAuth client credentials are stored on integration and managed by the application owner. For others they are stored on connection and managed by the consumer in Vault. — enum: `integration`, `connection` — example: `integration`
  - `oauth_scopes` `array of object` — List of OAuth Scopes available for this connector.
    - `id` `string` — ID of the OAuth scope. — example: `contacts:all`
    - `label` `string` — Label of the OAuth scope. — example: `Read/write on the Contacts resource`
    - `default_apis` `array of string` — List of Unified APIs that request this OAuth Scope by default. Application owners can customize the requested scopes.
  - `custom_scopes` `boolean` — Set to `true` when connector allows the definition of custom scopes. — example: `true`
  - `has_sandbox_credentials` `boolean` — Indicates whether Apideck Sandbox OAuth credentials are available. — example: `true`
  - `settings` `array of object`
    - `id` `string` — example: `pipeline_id`
    - `label` `string` — example: `Pipeline`
    - `type` `any` — enum: `text`, `checkbox`, `tel`, `email`, `url`, `textarea`, `select`, `filtered-select`, `multi-select`, `datetime`, `date`, `time`, `number`, `password` — example: `select`
  - `service_id` `string` — Service provider identifier — example: `close`
  - `unified_apis` `array of object` — List of Unified APIs that feature this connector.
    - `id` `string` — Name of Apideck Unified API — enum: `accounting`, `ats`, `calendar`, `crm`, `csp`, `customer-support`, `ecommerce`, `email`, `email-marketing`, `expense-management`, `file-storage`, `form`, `hris`, `lead`, `payroll`, `pos`, `procurement`, `project-management`, `script`, `sms`, `spreadsheet`, `team-messaging`, `issue-tracking`, `time-registration`, `transactional-email`, `vault`, `data-warehouse` — example: `crm`
    - `name` `string` — Name of the API. — example: `File Storage API`
    - `auth_only` `boolean` — Indicates whether a connector only supports authentication. In this case the connector is not mapped to a Unified API, but can be used with the Proxy API — example: `true`
    - `oauth_scopes` `array of object`
      - `id` `string` — ID of the OAuth scope. — example: `contacts:all`
      - `label` `string` — Label of the OAuth scope. — example: `Read/write on the Contacts resource`
    - `supported_resources` `array of object` — List of resources that are supported on the connector.
      - `id` `string` — ID of the resource, typically a lowercased version of name. — example: `companies`
      - `name` `string` — Name of the resource (plural) — example: `Companies`
      - `status` `string` — Status of the resource. Resources with status live or beta are callable. — enum: `live`, `beta`, `development`, `upcoming`, `considering`
      - `downstream_id` `string` — ID of the resource in the Connector's API (downstream) — example: `accounts`
      - `downstream_name` `string` — Name of the resource in the Connector's API (downstream) — example: `Accounts`
    - `downstream_unsupported_resources` `array of string` — List of resources that are not supported on the downstream.
    - `supported_events` `array of object` — List of events that are supported on the connector for this Unified API.
      - `event_type` `string` — Unify event type — example: `employee.created`
      - `event_source` `string` — Unify event source — enum: `native`, `virtual` — example: `native`
      - `downstream_event_type` `string` — Downstream event type — example: `person_created`
      - `resources` `array of string`
      - `entity_type` `string` — Unify entity type — example: `employee`
  - `supported_resources` `array of object` — List of resources that are supported on the connector.
    - `id` `string` — ID of the resource, typically a lowercased version of name. — example: `companies`
    - `name` `string` — Name of the resource (plural) — example: `Companies`
    - `status` `string` — Status of the resource. Resources with status live or beta are callable. — enum: `live`, `beta`, `development`, `upcoming`, `considering`
    - `downstream_id` `string` — ID of the resource in the Connector's API (downstream) — example: `accounts`
    - `downstream_name` `string` — Name of the resource in the Connector's API (downstream) — example: `Accounts`
  - `configurable_resources` `array of string` — List of resources that have settings that can be configured.
  - `supported_events` `array of object` — List of events that are supported on the connector across all Unified APIs.
    - `event_type` `string` — Unify event type — example: `employee.created`
    - `event_source` `string` — Unify event source — enum: `native`, `virtual` — example: `native`
    - `downstream_event_type` `string` — Downstream event type — example: `person_created`
    - `resources` `array of string`
    - `entity_type` `string` — Unify entity type — example: `employee`
  - `webhook_support` `object` — How webhooks are supported for the connector. Sometimes the connector natively supports webhooks, other times Apideck virtualizes them based on polling.
    - `mode` `string` — Mode of the webhook support. — enum: `native`, `virtual`, `none` — example: `native`
    - `subscription_level` `string` — Received events are scoped to connection or across integration. — enum: `connection`, `integration` — example: `integration`
    - `managed_via` `string` — How the subscription is managed in the downstream. — enum: `manual`, `api` — example: `api`
    - `virtual_webhooks` `object` — Virtual webhook config for the connector.
      - `request_rate` `object` **required** — The rate at which requests for resources will be made to downstream.
        - `rate` `integer` **required** — The number of requests per window unit.
        - `size` `integer` **required** — Size of request window.
        - `unit` `string` **required** — The window unit for the rate. — enum: `second`, `minute`, `hour`, `day`
      - `resources` `object` — The resources that will be requested from downstream.
  - `schema_support` `object` — When a connector has schema_support, a call can be made to retrieve a json schema that describes a downstream resource.
    - `supported` `boolean` — Can a resource schema be retrieved for this connector? — example: `true`
  - `docs` `array of object`
    - `id` `string` — A unique identifier for an object. — example: `12345`
    - `name` `string` — Name of the doc. — example: `connection`
    - `audience` `string` — Audience for the doc. — enum: `application_owner`, `consumer`
    - `format` `string` — Format of the doc. — enum: `markdown`
    - `url` `string` — Link to fetch the content of the doc. — format: `uri` — example: `https://unify.apideck.com/connector/connectors/workday/docs/consumer+connection`
  - `tls_support` `object`
    - `type` `string`
    - `description` `string` — Description of the TLS support
- `_raw` `object` — Raw response from the integration when raw=true query param is provided
- `meta` `object` — Response metadata
  - `items_on_page` `integer` — Number of items returned in the data property of the response — example: `50`
  - `cursors` `object` — Cursors to navigate to previous or next pages through the API
    - `previous` `string` — Cursor to navigate to the previous page of results through the API — example: `em9oby1jcm06OnBhZ2U6OjE=`
    - `current` `string` — Cursor to navigate to the current page of results through the API — example: `em9oby1jcm06OnBhZ2U6OjI=`
    - `next` `string` — Cursor to navigate to the next page of results through the API — example: `em9oby1jcm06OnBhZ2U6OjM=`
- `links` `object` — Links to navigate to previous or next pages through the API
  - `previous` `string` — Link to navigate to the previous page through the API — example: `https://unify.apideck.com/crm/companies?cursor=em9oby1jcm06OnBhZ2U6OjE%3D`
  - `current` `string` — Link to navigate to the current page through the API — example: `https://unify.apideck.com/crm/companies`
  - `next` `string` — Link to navigate to the previous page through the API — example: `https://unify.apideck.com/crm/companies?cursor=em9oby1jcm06OnBhZ2U6OjM`

#### 401 — Unauthorized

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 402 — Payment Required

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 404 — The specified resource was not found

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### default — Unexpected error

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

---
